hw_GetObjectByQueryCollObj
hw_GetParents
Hyperwave Functions
PHP Manual

# hw_GetObjectByQueryObj

(PHP 4)

hw_GetObjectByQueryObj — Search object

### Description

array hw_getobjectbyqueryobj ( int `$connection` , string `$query` , int `$max_hits` )

Searches for objects on the whole server and returns an array of object records.

### Parameters

`connection`

  The connection identifier.

`query`

  The query will only work with indexed attributes.

`max_hits`

  The maximum number of matches is limited to `max_hits` . If `max_hits` is set to -1 the maximum number of matches is unlimited.

### Return Values

Returns an array of object records.

### See Also

- hw_getobjectbyquery()

hw_GetObjectByQueryCollObj
hw_GetParents
Hyperwave Functions
PHP Manual